Hi takan

The error about "could not get lock" may mean that you have another package
management tool running (perhaps a graphical tool?). You will see a similar
error if you're not running the command as root.

BTW I don't think you really need to use sudo to install Koha. For example
instead of doing:

$ sudo koha-create ...

you could get a root command prompt with

$ su -

and then simply run those privileged commands directly:

# koha-create ...

Regards,

Chris Brown




On Sun, Mar 11, 2018 at 2:11 PM, takan bhatt <takan.bh...@gmail.com> wrote:

> Sir /Madam
>
> What I did I explain
>
> 1. Install Virtual Box
> 2 Install Debian Xfce from ISO file latest version that I think 9 (stretch)
> 3 Internet was not accessible inside Debian Browser
> 4. Edited Repository and added non-free
> 5. Made internet accessible
> 6. Use apt-get update then Upgrade command
> 7. I saw updation was not properly done so again and again updated
> 8 used apt-get install sudo command
>
> I got following error (sudo is necessary to install koha )
>
> E: could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily
> unavailable) E: unable to lock the administration directory (var/lib/dpkg),
> its another process using it
>
> Kindly Help me to resolve this problem.
>
> While updating and other processes power went down frequently.
>
> I think something problem is with sources.list file.
>
> Pls help
>
> Rajesh Bhatt
>
> On Sun 11 Mar, 2018, 7:00 PM Johan Seyfferdt, <jo...@spbcu.ru> wrote:
>
> > Hi Takan
> >
> > You can either login as root by typing su and at the password prompt your
> > root password.
> >
> > Or go to the user manager setting and add your username to be part of the
> > sudo group
> >
> > On Mar 11, 2018 04:37, "takan bhatt" <takan.bh...@gmail.com> wrote:
> >
> >> Sir/Madam
> >>
> >> I have installed Debian Xfce in Virtual Box also added non-free
> repository
> >> in sources.list. Then updated and upgraded with apt-get. but updation is
> >> not going smoothly. then after I am unable to install Sudo and this is
> >> necessary step in koha installation. I think this is probably problem
> with
> >> repository.
> >>
> >> Kindly help me which repositories are required ?
> >>
> >> Rajesh Bhatt
> >> _______________________________________________
> >> Koha mailing list  http://koha-community.org
> >> Koha@lists.katipo.co.nz
> >> https://lists.katipo.co.nz/mailman/listinfo/koha
> >>
> >
> _______________________________________________
> Koha mailing list  http://koha-community.org
> Koha@lists.katipo.co.nz
> https://lists.katipo.co.nz/mailman/listinfo/koha
>
_______________________________________________
Koha mailing list  http://koha-community.org
Koha@lists.katipo.co.nz
https://lists.katipo.co.nz/mailman/listinfo/koha

Reply via email to